<html>
<head>
<title>OgreShadowVolumeExtrudeProgram.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreShadowVolumeExtrudeProgram.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreShadowVolumeExtrudeProgram_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __SHADOWVOLUMEEXTRUDEPROGRAM_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __SHADOWVOLUMEEXTRUDEPROGRAM_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreLight_8h.html">OgreLight.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00135"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html">00135</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html" title="Static class containing source for vertex programs for extruding shadow volumes.">ShadowVolumeExtrudeProgram</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">ShadowDataAlloc</a>
<a name="l00136"></a>00136     {
<a name="l00137"></a>00137     <span class="keyword">private</span>:
<a name="l00138"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab56197126793da3e040dc150b5fd1e06">00138</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab56197126793da3e040dc150b5fd1e06">mPointArbvp1</a>;
<a name="l00139"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a5051dc1085926275064659768aea467b">00139</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a5051dc1085926275064659768aea467b">mPointVs_1_1</a>;
<a name="l00140"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#af7bcd9953cad1d65e03f12a0e634f0c6">00140</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#af7bcd9953cad1d65e03f12a0e634f0c6">mPointVs_4_0</a>;
<a name="l00141"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a3c7f2d44f5ac05f63fffae3b2bb2a3e1">00141</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a3c7f2d44f5ac05f63fffae3b2bb2a3e1">mPointVs_glsles</a>;
<a name="l00142"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aefc5b5ac5e3255ed2a465cbc905b3195">00142</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aefc5b5ac5e3255ed2a465cbc905b3195">mDirArbvp1</a>;
<a name="l00143"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a401d91604ee4e8facae67f0c695f65d6">00143</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a401d91604ee4e8facae67f0c695f65d6">mDirVs_1_1</a>;
<a name="l00144"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a7453e052e87cf7a2ef7d9638ff1a83da">00144</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a7453e052e87cf7a2ef7d9638ff1a83da">mDirVs_4_0</a>;
<a name="l00145"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a206043fcd724b04c378d6d6f01554a15">00145</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a206043fcd724b04c378d6d6f01554a15">mDirVs_glsles</a>;
<a name="l00146"></a>00146         <span class="comment">// same as above, except the color is set to 1 to enable debug volumes to be seen</span>
<a name="l00147"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad20b614bd7f8d02b8ce4f7a6d9191110">00147</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad20b614bd7f8d02b8ce4f7a6d9191110">mPointArbvp1Debug</a>;
<a name="l00148"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a1393918d3278e77c93bc97e9787335ab">00148</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a1393918d3278e77c93bc97e9787335ab">mPointVs_1_1Debug</a>;
<a name="l00149"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2d1a8fec04e0c75456f228561d9cadb8">00149</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2d1a8fec04e0c75456f228561d9cadb8">mPointVs_4_0Debug</a>;
<a name="l00150"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a23b9254d7edf2763c9fd58a8d4a4d37d">00150</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a23b9254d7edf2763c9fd58a8d4a4d37d">mPointVs_glslesDebug</a>;
<a name="l00151"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad47342225ab750f67c2d5f76ea215cae">00151</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad47342225ab750f67c2d5f76ea215cae">mDirArbvp1Debug</a>;
<a name="l00152"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a9303cb3afe98547901fdb352989735af">00152</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a9303cb3afe98547901fdb352989735af">mDirVs_1_1Debug</a>;
<a name="l00153"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a90309ccfad7a4ec293669502ffe7089f">00153</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a90309ccfad7a4ec293669502ffe7089f">mDirVs_4_0Debug</a>;
<a name="l00154"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac5d01ffd7bd5ff89b6089ef000a209a9">00154</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac5d01ffd7bd5ff89b6089ef000a209a9">mDirVs_glslesDebug</a>;
<a name="l00155"></a>00155         
<a name="l00156"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a94c3eb59aea5b8e4e736f325a71093ea">00156</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a94c3eb59aea5b8e4e736f325a71093ea">mPointArbvp1Finite</a>;
<a name="l00157"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aefebfc24ddff4f30b0edd1e088f395d5">00157</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aefebfc24ddff4f30b0edd1e088f395d5">mPointVs_1_1Finite</a>;
<a name="l00158"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0e38be7a4dd69839e06b032d9583a941">00158</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0e38be7a4dd69839e06b032d9583a941">mPointVs_4_0Finite</a>;
<a name="l00159"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#afcf04138996072b827b79c34fce8c181">00159</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#afcf04138996072b827b79c34fce8c181">mPointVs_glslesFinite</a>;
<a name="l00160"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a107e11989da6a8c7e0ba15e96e954f7e">00160</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a107e11989da6a8c7e0ba15e96e954f7e">mDirArbvp1Finite</a>;
<a name="l00161"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2e47f0ab069147cc872db91a4eeedc13">00161</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2e47f0ab069147cc872db91a4eeedc13">mDirVs_1_1Finite</a>;
<a name="l00162"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ace2b4d3940a2d724a397208f7f9f31e5">00162</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ace2b4d3940a2d724a397208f7f9f31e5">mDirVs_4_0Finite</a>;
<a name="l00163"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa91736a3858f0acb7d939845ca888db9">00163</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa91736a3858f0acb7d939845ca888db9">mDirVs_glslesFinite</a>;
<a name="l00164"></a>00164         <span class="comment">// same as above, except the color is set to 1 to enable debug volumes to be seen</span>
<a name="l00165"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab1838186657204fbed0362c16ac25ec4">00165</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab1838186657204fbed0362c16ac25ec4">mPointArbvp1FiniteDebug</a>;
<a name="l00166"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2eb9b8a45929da482315a49b8f0a1453">00166</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2eb9b8a45929da482315a49b8f0a1453">mPointVs_1_1FiniteDebug</a>;
<a name="l00167"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac86e67c2e5cd2ecdc87a1a78f9efa7e4">00167</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac86e67c2e5cd2ecdc87a1a78f9efa7e4">mPointVs_4_0FiniteDebug</a>;
<a name="l00168"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a3d7543dd54bd05428354cc64204772f6">00168</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a3d7543dd54bd05428354cc64204772f6">mPointVs_glslesFiniteDebug</a>;
<a name="l00169"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0e442c11f0cce78264e19a4cb1ba16e4">00169</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0e442c11f0cce78264e19a4cb1ba16e4">mDirArbvp1FiniteDebug</a>;
<a name="l00170"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad56bbecfb0db4059254fa8577e9ffc53">00170</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad56bbecfb0db4059254fa8577e9ffc53">mDirVs_1_1FiniteDebug</a>;
<a name="l00171"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac84eae4ec715191e162c22f143f9fb2f">00171</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac84eae4ec715191e162c22f143f9fb2f">mDirVs_4_0FiniteDebug</a>;
<a name="l00172"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a38720f7627e31e40d675e6f5c67be74a">00172</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a38720f7627e31e40d675e6f5c67be74a">mDirVs_glslesFiniteDebug</a>;
<a name="l00173"></a>00173 
<a name="l00174"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a176e8a89da983ba1f89184bcb6e40406">00174</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a176e8a89da983ba1f89184bcb6e40406">mGeneralFs_4_0</a>;
<a name="l00175"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac9357689872da15eec026aa6ed920421">00175</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac9357689872da15eec026aa6ed920421">mGeneralFs_glsles</a>;
<a name="l00176"></a>00176 
<a name="l00177"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a44f9f4960f34af1c3c458ef0b3722e57">00177</a>         <span class="keyword">static</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a44f9f4960f34af1c3c458ef0b3722e57">mInitialised</a>;
<a name="l00178"></a>00178 
<a name="l00179"></a>00179     <span class="keyword">public</span>:
<a name="l00180"></a><a class="code" href="OgreShadowVolumeExtrudeProgram_8h.html#aaeab622fe3062d932f1d02f0e606de5a">00180</a> <span class="preprocessor">#define OGRE_NUM_SHADOW_EXTRUDER_PROGRAMS 8</span>
<a name="l00181"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623">00181</a> <span class="preprocessor"></span>        <span class="keyword">enum</span> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623">Programs</a>
<a name="l00182"></a>00182         {
<a name="l00183"></a>00183             <span class="comment">// Point light extruder, infinite distance</span>
<a name="l00184"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623aa3e7b73929a3898e4e75d8a6eb53d931">00184</a>             POINT_LIGHT = 0,
<a name="l00185"></a>00185             <span class="comment">// Point light extruder, infinite distance, debug mode</span>
<a name="l00186"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623af4d3d45a57d9dfd4eb439e564305d0c5">00186</a>             POINT_LIGHT_DEBUG = 1,
<a name="l00187"></a>00187             <span class="comment">// Directional light extruder, infinite distance</span>
<a name="l00188"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623abe106ce64f87c499f0f9795d8f179fb4">00188</a>             DIRECTIONAL_LIGHT = 2,
<a name="l00189"></a>00189             <span class="comment">// Directional light extruder, infinite distance, debug mode</span>
<a name="l00190"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623ab88033d4c3fef76acf231db879dd33a5">00190</a>             DIRECTIONAL_LIGHT_DEBUG = 3,
<a name="l00191"></a>00191             <span class="comment">// Point light extruder, finite distance</span>
<a name="l00192"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623aa6524c3c7c49f7f93c684cfa3e9f9843">00192</a>             POINT_LIGHT_FINITE = 4,
<a name="l00193"></a>00193             <span class="comment">// Point light extruder, finite distance, debug mode</span>
<a name="l00194"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623a8b6fc01b15aa39d9fb62e07a6673b225">00194</a>             POINT_LIGHT_FINITE_DEBUG = 5,
<a name="l00195"></a>00195             <span class="comment">// Directional light extruder, finite distance</span>
<a name="l00196"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623a2caab40e2442c76f90b6942629ece2a8">00196</a>             DIRECTIONAL_LIGHT_FINITE = 6,
<a name="l00197"></a>00197             <span class="comment">// Directional light extruder, finite distance, debug mode</span>
<a name="l00198"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ade24fd66aff9052fb19403696f28a623a4c4ad12515f7a0d2478e9d1b4713ea88">00198</a>             DIRECTIONAL_LIGHT_FINITE_DEBUG = 7
<a name="l00199"></a>00199 
<a name="l00200"></a>00200         };
<a name="l00201"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#acc460f2fd05285222cc1e6b09d72ed66">00201</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> programNames[<a class="code" href="OgreShadowVolumeExtrudeProgram_8h.html#aaeab622fe3062d932f1d02f0e606de5a">OGRE_NUM_SHADOW_EXTRUDER_PROGRAMS</a>];
<a name="l00202"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a3397ff3db546b9b2337816c783a669a8">00202</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a3397ff3db546b9b2337816c783a669a8">frgProgramName</a>;
<a name="l00203"></a>00203 
<a name="l00205"></a>00205         <span class="keyword">static</span> <span class="keywordtype">void</span> initialise(<span class="keywordtype">void</span>);
<a name="l00207"></a>00207         <span class="keyword">static</span> <span class="keywordtype">void</span> shutdown(<span class="keywordtype">void</span>);
<a name="l00209"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a53d30e4fc8035c45edcbfeec3d542425">00209</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a53d30e4fc8035c45edcbfeec3d542425" title="Get extruder program source for point lights, compatible with arbvp1.">getPointLightExtruderArbvp1</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1; }
<a name="l00211"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac113d70239242bfee84986a8a9b804cd">00211</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac113d70239242bfee84986a8a9b804cd" title="Get extruder program source for point lights, compatible with vs_1_1.">getPointLightExtruderVs_1_1</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1; }
<a name="l00213"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad0efcf74f94c3f63b650c0749bb31fd8">00213</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ad0efcf74f94c3f63b650c0749bb31fd8" title="Get extruder program source for point lights, compatible with vs_4_0.">getPointLightExtruderVs_4_0</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_4_0; }
<a name="l00215"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#afbed383b707a3ce6d98c60d1fbf3db77">00215</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#afbed383b707a3ce6d98c60d1fbf3db77" title="Get extruder program source for point lights, compatible with glsles.">getPointLightExtruderVs_glsles</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_glsles; }
<a name="l00217"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac050f98eb30595ce944e14684abf41e5">00217</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac050f98eb30595ce944e14684abf41e5" title="Get extruder program source for directional lights, compatible with arbvp1.">getDirectionalLightExtruderArbvp1</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1; }
<a name="l00219"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac5e595c3758db6d51170c18c1a07b55f">00219</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac5e595c3758db6d51170c18c1a07b55f" title="Get extruder program source for directional lights, compatible with vs_1_1.">getDirectionalLightExtruderVs_1_1</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1; }
<a name="l00221"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a6cc71f8b2b3f4036029dde53be002a6d">00221</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a6cc71f8b2b3f4036029dde53be002a6d" title="Get extruder program source for directional lights, compatible with vs_4_0.">getDirectionalLightExtruderVs_4_0</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_4_0; }
<a name="l00223"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#af68498e80e2cf9d6640a54a987fd9ca8">00223</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#af68498e80e2cf9d6640a54a987fd9ca8" title="Get extruder program source for directional lights, compatible with glsles.">getDirectionalLightExtruderVs_glsles</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_glsles; }
<a name="l00224"></a>00224 
<a name="l00226"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a08462c312f24ebdcb85b01d9216de81a">00226</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a08462c312f24ebdcb85b01d9216de81a" title="Get extruder program source for debug point lights, compatible with arbvp1.">getPointLightExtruderArbvp1Debug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1Debug; }
<a name="l00228"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a8f9515284435138237cb10953343fb16">00228</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a8f9515284435138237cb10953343fb16" title="Get extruder program source for debug point lights, compatible with vs_1_1.">getPointLightExtruderVs_1_1Debug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1Debug; }
<a name="l00230"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa4720f6c33945e79d7e05510bed7e53b">00230</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa4720f6c33945e79d7e05510bed7e53b" title="Get extruder program source for debug point lights, compatible with vs_4_0.">getPointLightExtruderVs_4_0Debug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_4_0Debug; }
<a name="l00232"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a515f58d75d15531a04d1836ef324390c">00232</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a515f58d75d15531a04d1836ef324390c" title="Get extruder program source for debug point lights, compatible with glsles.">getPointLightExtruderVs_glslesDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_glslesDebug; }
<a name="l00234"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a588fe455365043a2753f5a1bda5925e6">00234</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a588fe455365043a2753f5a1bda5925e6" title="Get extruder program source for debug directional lights, compatible with arbvp1.">getDirectionalLightExtruderArbvp1Debug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1Debug; }
<a name="l00236"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac455c2d8ffccf239ab7710b7256e1c34">00236</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ac455c2d8ffccf239ab7710b7256e1c34" title="Get extruder program source for debug directional lights, compatible with vs_1_1.">getDirectionalLightExtruderVs_1_1Debug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1Debug; }
<a name="l00238"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ae002a43fd55ccaae29acde97174302d5">00238</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ae002a43fd55ccaae29acde97174302d5" title="Get extruder program source for debug directional lights, compatible with vs_4_0.">getDirectionalLightExtruderVs_4_0Debug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_4_0Debug; }
<a name="l00240"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa89fa3696bdc7359f771059c508af19d">00240</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa89fa3696bdc7359f771059c508af19d" title="Get extruder program source for debug directional lights, compatible with glsles.">getDirectionalLightExtruderVs_glslesDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_glslesDebug; }
<a name="l00242"></a>00242         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getProgramSource(<a class="code" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbc" title="Defines the type of light.">Light::LightTypes</a> lightType, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> syntax, 
<a name="l00243"></a>00243             <span class="keywordtype">bool</span> finite, <span class="keywordtype">bool</span> debug);
<a name="l00244"></a>00244 
<a name="l00245"></a>00245         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getProgramName(<a class="code" href="classOgre_1_1Light.html#a4f1dea084d1497c6f49e802ade940dbc" title="Defines the type of light.">Light::LightTypes</a> lightType, <span class="keywordtype">bool</span> finite, <span class="keywordtype">bool</span> debug);
<a name="l00246"></a>00246 
<a name="l00247"></a>00247 
<a name="l00249"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aabfe751eb718a9640c288990b69dc2d9">00249</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aabfe751eb718a9640c288990b69dc2d9" title="Get FINITE extruder program source for point lights, compatible with arbvp1.">getPointLightExtruderArbvp1Finite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1Finite; }
<a name="l00251"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab49594367aab6c943d4d83d6c64de771">00251</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab49594367aab6c943d4d83d6c64de771" title="Get FINITE extruder program source for point lights, compatible with vs_1_1.">getPointLightExtruderVs_1_1Finite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1Finite; }
<a name="l00253"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a95ca184cf7e7aadaea1bd3b348a835bd">00253</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a95ca184cf7e7aadaea1bd3b348a835bd" title="Get FINITE extruder program source for point lights, compatible with vs_4_0.">getPointLightExtruderVs_4_0Finite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_4_0Finite; }
<a name="l00255"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a59610b4608094e0401471c0819ccb5fe">00255</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a59610b4608094e0401471c0819ccb5fe" title="Get FINITE extruder program source for point lights, compatible with glsles.">getPointLightExtruderVs_glslesFinite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_glslesFinite; }
<a name="l00257"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a990ce03657ecc3772f87039f61f43b70">00257</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a990ce03657ecc3772f87039f61f43b70" title="Get FINITE extruder program source for directional lights, compatible with arbvp1.">getDirectionalLightExtruderArbvp1Finite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1Finite; }
<a name="l00259"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0b891cb31debd7097ec72bea940a111c">00259</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a0b891cb31debd7097ec72bea940a111c" title="Get FINITE extruder program source for directional lights, compatible with vs_1_1.">getDirectionalLightExtruderVs_1_1Finite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1Finite; }
<a name="l00261"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2e2bd719319483708e5e1d3815f9c83c">00261</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2e2bd719319483708e5e1d3815f9c83c" title="Get FINITE extruder program source for directional lights, compatible with vs_4_0.">getDirectionalLightExtruderVs_4_0Finite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_4_0Finite; }
<a name="l00263"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2ce53fe12c2d6861a3b5b80df8b2466c">00263</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2ce53fe12c2d6861a3b5b80df8b2466c" title="Get FINITE extruder program source for directional lights, compatible with glsles.">getDirectionalLightExtruderVs_glslesFinite</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_glslesFinite; }
<a name="l00264"></a>00264 
<a name="l00266"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa0b615596b5e701a0b1392cd1fb94236">00266</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aa0b615596b5e701a0b1392cd1fb94236" title="Get FINITE extruder program source for debug point lights, compatible with arbvp1.">getPointLightExtruderArbvp1FiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointArbvp1FiniteDebug; }
<a name="l00268"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab90674080062ae986b08cf73e02284f4">00268</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab90674080062ae986b08cf73e02284f4" title="Get extruder program source for debug point lights, compatible with vs_1_1.">getPointLightExtruderVs_1_1FiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_1_1FiniteDebug; }
<a name="l00270"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a1f973ffcddf21ca3c631a364eb7cf0b5">00270</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a1f973ffcddf21ca3c631a364eb7cf0b5" title="Get extruder program source for debug point lights, compatible with vs_4_0.">getPointLightExtruderVs_4_0FiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_4_0FiniteDebug; }
<a name="l00272"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aad89573d514a3a52c9c71ddc2ea4eefc">00272</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#aad89573d514a3a52c9c71ddc2ea4eefc" title="Get extruder program source for debug point lights, compatible with glsles.">getPointLightExtruderVs_glslesFiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPointVs_glslesFiniteDebug; }
<a name="l00274"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a933bdc6da08c8c7f604c544a1e15b004">00274</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a933bdc6da08c8c7f604c544a1e15b004" title="Get FINITE extruder program source for debug directional lights, compatible with arbvp1.">getDirectionalLightExtruderArbvp1FiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirArbvp1FiniteDebug; }
<a name="l00276"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab47b4ba53a32ba5cadefff21c052504a">00276</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#ab47b4ba53a32ba5cadefff21c052504a" title="Get FINITE extruder program source for debug directional lights, compatible with vs_1_1.">getDirectionalLightExtruderVs_1_1FiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_1_1FiniteDebug; }
<a name="l00278"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a00f3a947f685e64d1b6cb1cfe115e2f8">00278</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a00f3a947f685e64d1b6cb1cfe115e2f8" title="Get FINITE extruder program source for debug directional lights, compatible with vs_4_0.">getDirectionalLightExtruderVs_4_0FiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_4_0FiniteDebug; }
<a name="l00280"></a><a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2d66161b0b44f9345598bdc8466e9f93">00280</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1ShadowVolumeExtrudeProgram.html#a2d66161b0b44f9345598bdc8466e9f93" title="Get FINITE extruder program source for debug directional lights, compatible with glsles.">getDirectionalLightExtruderVs_glslesFiniteDebug</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mDirVs_glslesFiniteDebug; }
<a name="l00281"></a>00281 
<a name="l00282"></a>00282     };
<a name="l00285"></a>00285 }
<a name="l00286"></a>00286 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:52
</p>
</body>
</html>
